dependencies on OpenSuSE 11.1 KDE4

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

dependencies on OpenSuSE 11.1 KDE4

gpsanino

Hi,

I just moved to the new openSUSE 11.1 (x86_64) with KDE 4.1.3.

Not that happy with the changes but too late to walk back...

Under OS11.0 is was as simple as use Yast, search for Qgis and thet getting it installed. However, in 11.1 qgis does not shows up on the defaults list of application packages. Then after adding several repositories it shows up at "factory". As well as from www.opensuse.org, the one clik utility worked fine in finding qgis under OpenSuSE-Factory. However, using the online tool or Yast with the repositories, I cannot get QGIS installed due to the missing:

libgeos-3.0.0.so()(64bit).

Looking at RPM find and other sites, I found two packages that contain this library but no way to install any of them, as they present even more failed dependencies during the attempts.

Is this happening to somebody else? if so, have you found a workaround to get qgis installed in this distro?

Thanks a lot! and congratulations for the great work on QGIS.

Gian


_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: dependencies on OpenSuSE 11.1 KDE4

Brent Wood

 Hi Gian,
 
 For OpenSuse installs of GIS/GPS related applications I
 suggest you install the GEO repositiory using YAST.
 
 Once this is done, you should be able to oinstall QGIS
 & many other useful apps with no dependency problems (at
 laeast it worked very well for me with 10.2, 10.3 &
 11.0, I haven't yet tried 11.1, but plan to get around
 to it shortly :-)
 
 If you have installed packages from elsewhere, you may have
 some version conflicts, this repo tends to have pretty
 current versions of most apps.
 
 http://download.opensuse.org/repositories/Application:/Geo/openSUSE_11.1/
 
 It also has packages for other distros, including Mandriva
 & Fedora, in particular.
 
 
 Cheers,
 
   Brent wood
 
 
 --- On Tue, 12/30/08, G. Paolo Sanino V.
 <[hidden email]> wrote:
 
 > From: G. Paolo Sanino V. <[hidden email]>
 > Subject: [Qgis-user] dependencies on OpenSuSE 11.1 KDE4
 > To: [hidden email]
 > Date: Tuesday, December 30, 2008, 12:36 PM
 > Hi,
 > I just moved to the new openSUSE 11.1 (x86_64) with KDE
 > 4.1.3.
 > Not that happy with the changes but too late to walk
 > back...
 > Under OS11.0 is was as simple as use Yast, search for Qgis
 > and thet getting it
 > installed. However, in 11.1 qgis does not shows up on the
 > defaults list of
 > application packages. Then after adding several
 > repositories it shows up at
 > "factory". As well as from www.opensuse.org, the
 > one clik utility worked fine
 > in finding qgis under OpenSuSE-Factory. However, using the
 > online tool or Yast
 > with the repositories, I cannot get QGIS installed due to
 > the missing:
 >
 > libgeos-3.0.0.so()(64bit).
 >
 > Looking at RPM find and other sites, I found two packages
 > that contain this
 > library but no way to install any of them, as they present
 > even more failed
 > dependencies during the attempts.
 >
 > Is this happening to somebody else? if so, have you found a
 > workaround to get
 > qgis installed in this distro?
 >  
 > Thanks a lot! and congratulations for the great work on
 > QGIS.
 >
 > Gian
 > _______________________________________________
 > Qgis-user mailing list
 > [hidden email]
 > http://lists.osgeo.org/mailman/listinfo/qgis-user
_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: dependencies on OpenSuSE 11.1 KDE4

Otto Dassau
In reply to this post by gpsanino
Dear Gian,

On Mon, 29 Dec 2008 20:36:39 -0300
"G. Paolo Sanino V." <[hidden email]> wrote:

> Hi,
> I just moved to the new openSUSE 11.1 (x86_64) with KDE 4.1.3.
> Not that happy with the changes but too late to walk back...
> Under OS11.0 is was as simple as use Yast, search for Qgis and thet getting
> installed. However, in 11.1 qgis does not shows up on the defaults list of
> application packages. Then after adding several repositories it shows up at
> "factory". As well as from www.opensuse.org, the one clik utility worked fine
> in finding qgis under OpenSuSE-Factory. However, using the online tool or Yast
>
> with the repositories, I cannot get QGIS installed due to the missing:
>
> libgeos-3.0.0.so()(64bit).
>
> Looking at RPM find and other sites, I found two packages that contain this
> library but no way to install any of them, as they present even more failed
> dependencies during the attempts.
>
> Is this happening to somebody else? if so, have you found a workaround to get
> qgis installed in this distro?
>  
> Thanks a lot! and congratulations for the great work on QGIS.

I just started to create QGIS 1.0.0 packages for OpenSUSE at the OpenSUSE
Application:Geo server. Don't know if that is where you have been looking for
QGIS?

http://download.opensuse.org/repositories/Application:/Geo/

Most versions are done, but there are some dependencies failing for 11.1 and
factory yet. I will have a look to fix this soon, before we have the official
QGIS release.

regards,
 Otto
 
> Gian
_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: dependencies on OpenSuSE 11.1 KDE4

gpsanino

Dear Brent and Otto,

Thanks you so much for your reply. It happened so fast, making such a difference with other mailing list supports. No surprise why QGIS is so great.

I use it all the time in my job.

The repositories that you sent me are in fact the ones I have been looking on. QGIS is not there yet, but I found it at:

http://download.opensuse.org/repositories/Application:/Geo/openSUSE_Factory/

However, dependencies fail missing only: libgeos-3.0.0.so()(64bit).

Then I will wait for it. Congratulations for this great application

Thanks a gain, and have a happy new year!

Gian


On Tue 30 Dec 2008 06:37:59 Otto Dassau wrote:

> Dear Gian,

>

> On Mon, 29 Dec 2008 20:36:39 -0300

>

> "G. Paolo Sanino V." <[hidden email]> wrote:

> > Hi,

> > I just moved to the new openSUSE 11.1 (x86_64) with KDE 4.1.3.

> > Not that happy with the changes but too late to walk back...

> > Under OS11.0 is was as simple as use Yast, search for Qgis and thet

> > getting installed. However, in 11.1 qgis does not shows up on the

> > defaults list of application packages. Then after adding several

> > repositories it shows up at "factory". As well as from www.opensuse.org,

> > the one clik utility worked fine in finding qgis under OpenSuSE-Factory.

> > However, using the online tool or Yast

> >

> > with the repositories, I cannot get QGIS installed due to the missing:

> >

> > libgeos-3.0.0.so()(64bit).

> >

> > Looking at RPM find and other sites, I found two packages that contain

> > this library but no way to install any of them, as they present even more

> > failed dependencies during the attempts.

> >

> > Is this happening to somebody else? if so, have you found a workaround to

> > get qgis installed in this distro?

> >

> > Thanks a lot! and congratulations for the great work on QGIS.

>

> I just started to create QGIS 1.0.0 packages for OpenSUSE at the OpenSUSE

> Application:Geo server. Don't know if that is where you have been looking

> for QGIS?

>

> http://download.opensuse.org/repositories/Application:/Geo/

>

> Most versions are done, but there are some dependencies failing for 11.1

> and factory yet. I will have a look to fix this soon, before we have the

> official QGIS release.

>

> regards,

> Otto

>

> > Gian


_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: dependencies on OpenSuSE 11.1 KDE4

Otto Dassau
Hi Gian,

packages for OpenSUSE 11.1 and factory are available now and I hope your libgeos
proplem is fixed. Please report if sth. doesn't work as expected.
 
 Otto

On Tue, 30 Dec 2008 19:21:02 -0300
"G. Paolo Sanino V." <[hidden email]> wrote:

> Dear Brent and Otto,
>
> Thanks you so much for your reply. It happened so fast, making such a
> difference with other mailing list supports. No surprise why QGIS is so great.
> I use it all the time in my job.
>
> The repositories that you sent me are in fact the ones I have been looking on.

> QGIS is not there yet, but I found it at:
>
> http://download.opensuse.org/repositories/Application:/Geo/openSUSE_Factory/
>
> However, dependencies fail missing only: libgeos-3.0.0.so()(64bit).
>
> Then I will wait for it. Congratulations for this great application
> Thanks a gain, and have a happy new year!
>
> Gian
>
>
> On Tue 30 Dec 2008 06:37:59 Otto Dassau wrote:
> > Dear Gian,
> >
> > On Mon, 29 Dec 2008 20:36:39 -0300
> >
> > "G. Paolo Sanino V." <[hidden email]> wrote:
> > > Hi,
> > > I just moved to the new openSUSE 11.1 (x86_64) with KDE 4.1.3.
> > > Not that happy with the changes but too late to walk back...
> > > Under OS11.0 is was as simple as use Yast, search for Qgis and thet
> > > getting installed. However, in 11.1 qgis does not shows up on the
> > > defaults list of application packages. Then after adding several
> > > repositories it shows up at "factory". As well as from www.opensuse.org,
> > > the one clik utility worked fine in finding qgis under OpenSuSE-Factory.
> > > However, using the online tool or Yast
> > >
> > > with the repositories, I cannot get QGIS installed due to the missing:
> > >
> > > libgeos-3.0.0.so()(64bit).
> > >
> > > Looking at RPM find and other sites, I found two packages that contain
> > > this library but no way to install any of them, as they present even more
> > > failed dependencies during the attempts.
> > >
> > > Is this happening to somebody else? if so, have you found a workaround to
> > > get qgis installed in this distro?
> > >
> > > Thanks a lot! and congratulations for the great work on QGIS.
> >
> > I just started to create QGIS 1.0.0 packages for OpenSUSE at the OpenSUSE
> > Application:Geo server. Don't know if that is where you have been looking
> > for QGIS?
> >
> > http://download.opensuse.org/repositories/Application:/Geo/
> >
> > Most versions are done, but there are some dependencies failing for 11.1
> > and factory yet. I will have a look to fix this soon, before we have the
> > official QGIS release.
> >
> > regards,
> >  Otto
> >
> > > Gian
>
_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: dependencies on OpenSuSE 11.1 KDE4

gpsanino

Hi Otto,

I just installed QGIS in OpenSuSE11.1 (KDE4.1.3) and it works perfectly.

Again, thank you so much and receive my best wished for this new year.

with warmest regards,

Gian


--


On Thu 01 Jan 2009 15:17:28 Otto Dassau wrote:

> Hi Gian,

>

> packages for OpenSUSE 11.1 and factory are available now and I hope your

> libgeos proplem is fixed. Please report if sth. doesn't work as expected.

>

> Otto

>

> On Tue, 30 Dec 2008 19:21:02 -0300

>

> "G. Paolo Sanino V." <[hidden email]> wrote:

> > Dear Brent and Otto,

> >

> > Thanks you so much for your reply. It happened so fast, making such a

> > difference with other mailing list supports. No surprise why QGIS is so

> > great. I use it all the time in my job.

> >

> > The repositories that you sent me are in fact the ones I have been

> > looking on.

> >

> > QGIS is not there yet, but I found it at:

> >

> > http://download.opensuse.org/repositories/Application:/Geo/openSUSE_Facto

> >ry/

> >

> > However, dependencies fail missing only: libgeos-3.0.0.so()(64bit).

> >

> > Then I will wait for it. Congratulations for this great application

> > Thanks a gain, and have a happy new year!

> >

> > Gian

> >

> > On Tue 30 Dec 2008 06:37:59 Otto Dassau wrote:

> > > Dear Gian,

> > >

> > > On Mon, 29 Dec 2008 20:36:39 -0300

> > >

> > > "G. Paolo Sanino V." <[hidden email]> wrote:

> > > > Hi,

> > > > I just moved to the new openSUSE 11.1 (x86_64) with KDE 4.1.3.

> > > > Not that happy with the changes but too late to walk back...

> > > > Under OS11.0 is was as simple as use Yast, search for Qgis and thet

> > > > getting installed. However, in 11.1 qgis does not shows up on the

> > > > defaults list of application packages. Then after adding several

> > > > repositories it shows up at "factory". As well as from

> > > > www.opensuse.org, the one clik utility worked fine in finding qgis

> > > > under OpenSuSE-Factory. However, using the online tool or Yast

> > > >

> > > > with the repositories, I cannot get QGIS installed due to the

> > > > missing:

> > > >

> > > > libgeos-3.0.0.so()(64bit).

> > > >

> > > > Looking at RPM find and other sites, I found two packages that

> > > > contain this library but no way to install any of them, as they

> > > > present even more failed dependencies during the attempts.

> > > >

> > > > Is this happening to somebody else? if so, have you found a

> > > > workaround to get qgis installed in this distro?

> > > >

> > > > Thanks a lot! and congratulations for the great work on QGIS.

> > >

> > > I just started to create QGIS 1.0.0 packages for OpenSUSE at the

> > > OpenSUSE Application:Geo server. Don't know if that is where you have

> > > been looking for QGIS?

> > >

> > > http://download.opensuse.org/repositories/Application:/Geo/

> > >

> > > Most versions are done, but there are some dependencies failing for

> > > 11.1 and factory yet. I will have a look to fix this soon, before we

> > > have the official QGIS release.

> > >

> > > regards,

> > > Otto

> > >

> > > > Gian


_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-user